Bug 9357 - exposes more symbols than specified by abi_match setting
exposes more symbols than specified by abi_match setting
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.0rc4
All All
: P5 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 17:25 UTC by Jelmer Vernooij
Modified: 2012-11-12 08:19 UTC (History)
1 user (show)

See Also:
jelmer: review+


Attachments
Patches for v4-0-test (8.94 KB, patch)
2012-11-07 11:40 UTC, Stefan Metzmacher
metze: review? (jelmer)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jelmer Vernooij 2012-11-05 17:25:48 UTC
ldb 1.1.13 now exposes some symbols from libreplace and internal symbols from ldb_map. This shouldn't be the case as its abi_match restricts to ldb_*.

This is likely a regression from 9c3e294400234ebdf9b98031bae583524fd0b0ac
Comment 1 Stefan Metzmacher 2012-11-06 15:16:06 UTC
Should we backport that to v4-0-test ?
Comment 2 Jelmer Vernooij 2012-11-06 15:18:22 UTC
(In reply to comment #1)
> Should we backport that to v4-0-test ?

Only if we're going to be doing ldb releases from the v4-0-test branch.
Comment 3 Stefan Metzmacher 2012-11-06 15:21:31 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Should we backport that to v4-0-test ?
> 
> Only if we're going to be doing ldb releases from the v4-0-test branch.

I don't think this is specific to ldb, what about all the non-standalone
libraries, which are part of the Samba release e.g. libwbclient, libsmbclient...
Comment 4 Jelmer Vernooij 2012-11-06 15:26:25 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Should we backport that to v4-0-test ?
> > 
> > Only if we're going to be doing ldb releases from the v4-0-test branch.
> 
> I don't think this is specific to ldb, what about all the non-standalone
> libraries, which are part of the Samba release e.g. libwbclient,
> libsmbclient...

It only occurs if you use inclusion and exclusion in abi_match. ldb is the only library that does that, last I checked.

That said, I don't think it's a bad idea to backport these three commits. Feel free to do so.
Comment 5 Stefan Metzmacher 2012-11-07 11:40:38 UTC
Created attachment 8163 [details]
Patches for v4-0-test
Comment 6 Karolin Seeger 2012-11-09 11:01:31 UTC
Is there a chance to get review until Sunday?
I would like to add this one for rc5.

Thanks!
Comment 7 Karolin Seeger 2012-11-09 11:30:09 UTC
(In reply to comment #6)
> Is there a chance to get review until Sunday?
> I would like to add this one for rc5.
> 
> Thanks!

Sorry, Metze just told me that Jelmer granted review on the bug (I was looking at the patch).

Pushing to autobuild.
Comment 8 Karolin Seeger 2012-11-12 08:19:26 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!